View Issue Details

IDProjectCategoryView StatusLast Update
0002321Industrial-Craft²nuclear reactor and anything associatedpublic2018-03-01 00:10
ReporterTauKinthAssigned ToChocohead 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.12.x 
Summary0002321: EU reactors capped at 2048EU/t max output regardless of what they say.
DescriptionI made a 21.5kEU/t reactor and it can't manage anything more than 2048kEU/t output (see pic attached)
Steps To Reproducemake a reactor with higher than 2048EU/t and read power output (MOX in a reactor with high heat is an ez way to do this)
TagsEU, Nuclear Reactor, Power
Minecraft Version1.12.2

Activities

TauKinth

2018-02-14 00:20

reporter  

Chocohead

2018-02-14 01:14

developer   ~0005547

Last edited: 2018-02-14 01:15

View 2 revisions

It's a physical limit of the way power is transferred at the moment, if you tried to actually output 21.5k EU anything connected to it would explode because nothing is designed for anything above 8k EU/t. Call it balance to stop a single EU reactor providing you all the power you want in favour of multiple fluid ones allowing the production to be spread between generators.

KrisBigK

2018-02-22 13:20

reporter   ~0005561

However there are two ways to avoid explosions. The first way is to connect mutiple MFSUs to a glass fiber cable coming out of the reactor so each MFSU accepts less than 2048 EU/t. THe second way is to turn off E-net explosions in the config.
Also, fuel rods in GT5 have a boosted output, amd GT5 TRULY needs a lot of EU, especially for fusion. So maybe the reactor output limit when having GT5 installed should be higher(GT5 has higher voltages)
Therefore I think that limiting the reactor output to 2048 EU/t (even if only IC2 is installed) is not quite necessary since sometimes the energy is used for producing UUM. It should be limited to 8192 EU/t which is the maximum EU/t acceptable by glass fiber cable.

Chocohead

2018-02-24 05:05

developer   ~0005567

The way it works right now the output tier limit also happens to be the size of packet it claims to be emitting no matter how much power it is actually producing. Bumping it up to 8192 EU/t is definitely going to break things if left as is. A more intricate solution will be needed to allow larger outputs without messing up sensible designs.

KrisBigK

2018-02-26 00:52

reporter   ~0005569

So maybe it should be changed so each chamber emits up to 2048 EU/t ?

Chocohead

2018-02-27 04:14

developer   ~0005573

It is easier to consider the reactor as a single emitter for E-net purposes, as soon as the chambers act independently it opens up the possibilities for extracting extra power out of the reactor that shouldn't be able to be extracted (which has happened in the past). I think the best approach is probably something similar to the Kinetic Generator, ie it will scale the output packet size with the design, and it can just have a maximum tier of 5 so that up to 8192 EU/t can be extracted which is probably the best middle ground. Designs that output anymore are practically speaking overkill and over engineered, having 7 blocks output that much power with little extra infrastructure only detracts from fluid reactors.

KrisBigK

2018-02-27 04:56

reporter   ~0005575

A EU reactor with high output(more than 1800 EU/t) can only be achieved by using condensators / coolant cells. Condensators need a lot of redstone / lapis, and coolant cells need extra reactors for cooldown(each reactor can only vent about 400 heat each second). Though they can generate a lot more EU, they require lots of materials to continuously run without explosions. They are more dangerous than fluid reactors because Nuclear Control is not updated. Fluid reactors have higher efficiency, so it is still a considerable option. .

TauKinth

2018-02-27 13:25

reporter   ~0005577

"little extra infrastructure" lol. The reactor design that I posted with the report takes a stack of redstone blocks every 90 seconds. If you call a system to produce that much "little" then I have been playing IC2 wrong this whole time. The reason I made such a reactor was to produce 1UUmB/t and without it I don't think there is a way in stock IC2, unless you consider making a few hundred coolant reactors.

Chocohead

2018-02-28 02:08

developer   ~0005580

Given enough overclockers a compressor could make a stack of redstone blocks within 8 ticks, the only real limitation is the rate at which redstone can be mined in the first place. And if you're relying on such a design it's almost a given you've clearly already been mining enough that redstone is no object. Not to say mining large amounts isn't a challenge, just at 21.5k EU/t you're filling an MFSU in less than 2 minutes so besides producing more UU than you'd know what to do with (thus never storing the power to reach a maximum capacity), the draw shouldn't be especially unmanageable in MFSU filling bursts.

When the numbers become that big (both in redstone usage and EU production) the whole concept of condensators breaks down into effectively redstone or lapis EU generators, which doesn't make for that interesting a power generation option really. Cooling Cell based designs scale more interestingly, at least in having to constantly bounce them around between other reactors to cool there is some more thought in design compared to mine redstone/lapis faster. The lack of Nuclear Control also makes both more dangerous in lacking an easy explosion detection method, but reactors were never previously balanced around it being present, otherwise the content would've been integrated into IC2 earlier. There has been talk of more additions to reactors to open up more possibilities, especially for fluid reactors, which should hopefully add to the available options.

Either way, whilst there aren't many hard limits within IC2, there are a few points where practical limits do serve a purpose. Take overclocking for example: machines only max out at a stack a tick because either the input runs out or the output is full. They could run endlessly if both cases were dealt with, say an addon adding an upgrade (which is already completely possible), yet one never has because it would lock the game up if you plugged in your AE system with 1M stone to macerate into sand until it had finished. This is a similar scenario in the sense that whilst the reactor could output as much as your design made, either you wouldn't be able to properly extract it all (ie now), you could extract it but nothing could take the amount of power it produced, or the E-net would have to be slowed down via a special case for splitting high output reactor designs.
Bumping the output to scale within what could get transferred out is the best option to allow these designs to be useful at all, perhaps with the ability for addons to bump further if they add additional higher tier cabling so something like GregTech could do if it wanted. Otherwise the route is to split designs out into separate reactors up to the point where the output is usable, taking the efficiency hit as somewhat of a balance to burning redstone/lapis effectively directly into lots of power, as dangerous as may be.

KrisBigK

2018-02-28 02:59

reporter   ~0005581

Using vanilla hoppers can extract the heated condensators out of the reactor, saving lots of redstone. Though redstone is regenerable (redwheat / witch farm) , the production speed is very slow due to slow redwheat growth. since witch farms have low effeciency producing redstone without AFK, immensive redwheat farms are needed to be built just to sustain one reactor.

A fluid reactor with the highest efficiency can output 672 EU/t, so 32 fluid reactors is enough to output 21.5K EU/t, and saving you 7 quad fuel rods.

Coolant cell / condensator based reactor is stable if designed well. That means the vanilla redstone comparator is used to detect redstone / lapis / coolant cell storage, stopping the reactor when running them out. The reactor won't heat up when having enough condensator / coolant cell, thus it won't explode theoretically.

Due to GT5.10 not supported(the developers are rewriting it), some serious GT5u bugs won't be fixed, such as a GT transformer next to reactor can't output power, making GT unusable to output power from reactors.

Here is a link for GT5.10 not updating--> https://github.com/Blood-Asp/GT5-Unofficial/issues/1336

KrisBigK

2018-02-28 03:02

reporter   ~0005582

Fluid reactors are totally not usable when GT5.10 is installed because coolant can't be put in.

Chocohead

2018-02-28 13:32

developer   ~0005587

Resolved by IC2 2.8.60

KrisBigK

2018-03-01 00:10

reporter   ~0005588

No fixes for MC 1.10.2?

Issue History

Date Modified Username Field Change
2018-02-14 00:20 TauKinth New Issue
2018-02-14 00:20 TauKinth File Added: ss+(2018-02-13+at+06.57.46).png
2018-02-14 00:20 TauKinth Tag Attached: EU
2018-02-14 00:20 TauKinth Tag Attached: Nuclear Reactor
2018-02-14 00:20 TauKinth Tag Attached: Power
2018-02-14 01:14 Chocohead Note Added: 0005547
2018-02-14 01:15 Chocohead Status new => confirmed
2018-02-14 01:15 Chocohead Note Edited: 0005547 View Revisions
2018-02-22 13:20 KrisBigK Note Added: 0005561
2018-02-24 05:05 Chocohead Note Added: 0005567
2018-02-26 00:52 KrisBigK Note Added: 0005569
2018-02-27 04:14 Chocohead Note Added: 0005573
2018-02-27 04:56 KrisBigK Note Added: 0005575
2018-02-27 13:25 TauKinth Note Added: 0005577
2018-02-28 02:08 Chocohead Note Added: 0005580
2018-02-28 02:59 KrisBigK Note Added: 0005581
2018-02-28 03:02 KrisBigK Note Added: 0005582
2018-02-28 13:32 Chocohead Assigned To => Chocohead
2018-02-28 13:32 Chocohead Status confirmed => resolved
2018-02-28 13:32 Chocohead Resolution open => fixed
2018-02-28 13:32 Chocohead Fixed in Version => Builds for MC 1.12.x
2018-02-28 13:32 Chocohead Note Added: 0005587
2018-03-01 00:10 KrisBigK Note Added: 0005588